|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# QStandardItemEditorCreator Class Reference
[QtGui module]

     #include <QStandardItemEditorCreator>

Inherits QItemEditorCreatorBase.

This class was introduced in Qt 4.2.

- List of all members, including inherited members

### Public Functions

- QStandardItemEditorCreator ()

- 2 public functions inherited from QItemEditorCreatorBase

## Detailed Description

This convenience template class makes it possible to register widgets without having to subclass QItemEditorCreatorBase.

Example:

     QItemEditorFactory *editorFactory = new QItemEditorFactory;
     QItemEditorCreatorBase *creator = new QStandardItemEditorCreator<MyFancyDateTimeEdit>();
     editorFactory->registerEditor(QVariant::DateType, creator);

Setting the `editorFactory` created above in an item delegate via QItemDelegate::setItemEditorFactory() makes sure that all values of type QVariant::DateTime will be edited in `MyFancyDateTimeEdit`.

See also QItemEditorCreatorBase, QItemEditorFactory, and QItemDelegate.

## Member Function Documentation

### QStandardItemEditorCreator::QStandardItemEditorCreator ()

Constructs an editor creator object.